> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelcustomers charges

> Requires finance.read. Automatic renewal attempts for this customer.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/customers/{customerID}/charges
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/customers/{customerID}/charges:
    get:
      tags:
        - panel
      description: Requires finance.read. Automatic renewal attempts for this customer.
      operationId: listPanelCustomerCharges
      parameters:
        - $ref: '#/components/parameters/CustomerID'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Charge attempts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelDunningList'
        '403':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    CustomerID:
      in: path
      name: customerID
      required: true
      schema:
        type: string
        format: uuid
    PageSize:
      in: query
      name: pageSize
      schema:
        type: integer
        minimum: 1
        maximum: 500
        default: 100
  schemas:
    PanelDunningList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelDunningAttempt'
    PanelDunningAttempt:
      type: object
      required:
        - id
        - customerId
        - cycleKey
        - attempt
        - funding
        - outcome
        - scheduledFor
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        subscriptionId:
          type: string
          format: uuid
        cycleKey:
          type: string
        attempt:
          type: integer
        funding:
          type: string
          enum:
            - wallet
            - saved_method
        outcome:
          type: string
          enum:
            - scheduled
            - succeeded
            - failed
            - abandoned
        failureCode:
          type: string
        orderId:
          type: string
          format: uuid
        scheduledFor:
          type: string
          format: date-time
        occurredAt:
          type: string
          format: date-time
        notifiedAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        customerStatus:
          type: string
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.